> ## Name

> VertexEnvParameter - 3D API vertex env parameter

> ## Usage

> VertexEnvParameter[i] = float4(x, y, z, w)

> ## Valid Enumerants

> x, y, z, w: floating point values

> ## Description

> Set vertex program environment parameter. See the OpenGL glProgramEnvParameter4fvARB manual page for details.

> The standard reset callback sets the VertexEnvParameter[i] state to float4(0, 0, 0, 0).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> FragmentEnvParameter, FragmentLocalParameter, VertexLocalParameter, PixelShaderConstant, PixelShaderConstant1, PixelShaderConstant2, PixelShaderConstant3, PixelShaderConstant4, PixelShaderConstantB, PixelShaderConstantF, PixelShaderConstantI, VertexShaderConstant, VertexShaderConstant1, VertexShaderConstant2, VertexShaderConstant3, VertexShaderConstantB, VertexShaderConstantF, VertexShaderConstantI, vertexShaderConstant4